<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('ExistingUser');
            $table->string('CustomerNo')->nullable();
            $table->string('InvoiceNo')->nullable();
            $table->string('FirstName');
            $table->string('SurName');
            $table->string('HouseName')->nullable();
            $table->string('StreetNo')->nullable();
            $table->string('StreetName')->nullable();
            $table->string('Town')->nullable();
            $table->string('Area')->nullable();
            $table->string('County')->nullable();
            $table->string('PostCode')->nullable();
            $table->string('ContactNo')->nullable();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('Username')->unique();
            $table->string('password');
            $table->string('CustomerType');
            $table->string('ProcessStatus');
            $table->timestamp('LastLogin')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};